<?php
namespace Engine\Serializer;

interface SerializerInterface
{
	/**
	 * Convert the input data to a string representation
	 * @param mixed $data
	 */
	public function serialize($data);

	/**
	 * Convert the input representation to real-life PHP data
	 * @param string $data
	 */
	public function unserialize($data);
}
